Class | Chef::CookbookSiteStreamingUploader
In: | lib/chef/cookbook_site_streaming_uploader.rb
Parent: | Object

## Chef::CookbookSiteStreamingUploader

A streaming multipart HTTP upload implementation. Used to upload cookbooks (in tarball form) to cookbooks.opscode.com

inspired by stanislavvitvitskiy.blogspot.com/2008/12/multipart-post-in-ruby.html

### Methods

create_build_dir make_request post put

### Classes and Modules

Class Chef::CookbookSiteStreamingUploader::MultipartStream
Class Chef::CookbookSiteStreamingUploader::StreamPart
Class Chef::CookbookSiteStreamingUploader::StringPart

### Constants

DefaultHeaders | = | { 'accept' => 'application/json', 'x-chef-version' => ::Chef::VERSION }

### Public Class methods

create_build_dir(cookbook)
make_request(http_verb, to_url, user_id, secret_key_filename, params = {}, headers = {})
post(to_url, user_id, secret_key_filename, params = {}, headers = {})
put(to_url, user_id, secret_key_filename, params = {}, headers = {})

[Validate]